Skip to content
GET/{organizationId}/finance/accounting/assets/depreciationTable

Get depreciation table

Returns a depreciation table for given organization

Required permissions:

  • mandate.read

  • fixedAsset.read

Path Parameters

organizationIdstringrequired

Authentication: X-API-Key

Request

GET/{organizationId}/finance/accounting/assets/depreciationTable
curl --request GET 'https://cloud.campai.com/api/{organizationId}/finance/accounting/assets/depreciationTable' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

idstringrequired
namestringrequired
periodnumberrequired
periodUnitstringrequired

Options:

yearsmonths
canBeImmediatebooleanoptional

Value: true

Response

200
[
  {
    "id": "string",
    "name": "string",
    "period": 1,
    "periodUnit": "years"
  }
]

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}